Name:		dnsmasq
Version:	2.21
Release:	1mdk
License:	GPL
Group:		System/Servers
URL:		http://www.thekelleys.org.uk/dnsmasq
Conflicts:	bind
Source0:	http://thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	A lightweight caching nameserver
Prereq:		rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It 
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP 
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or 
in a central configuration file. Dnsmasq supports static and dynamic DHCP 
leases and BOOTP for network booting of diskless machines.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 rpm/dnsmasq.rh -D $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -m644 dnsmasq.conf.example -D $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf

install -m755 -D src/dnsmasq $RPM_BUILD_ROOT%{_sbindir}/dnsmasq
#ln -sf ../../%{_initrddir}/%{name} $RPM_BUILD_ROOT/%{_sbindir}/rcdnsmasq
install -m644 dnsmasq.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/dnsmasq.8

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING FAQ doc.html setup.html UPGRADING_to_2.0
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*

%changelog
* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.21-1mdk
- 2.21

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.20-1mdk
- 2.20

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.18-1mdk
- 2.18

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.17-1mdk
- 2.17

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.15-1mdk
- 2.15

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- 2.14

* Sun Aug 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.13-1mdk
- 2.13

* Tue Jul 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9-1mdk
- 2.9
- leave stuff to spec-helper
- cosmetics

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- 2.8

* Thu May 06 2004 Florin <florin@mandrakesoft.com> 2.7-1mdk
- first mandrake release
